Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::G::IdleSource Class Reference

A idle GSource C++ interface. More...

`#include <xfc/glib/main.hh>`

Inheritance diagram for Xfc::G::IdleSource:

List of all members.

## Public Member Functions

Constructors

- IdleSource ()
    Constructs a new idle source that can be associated with any main context.
- IdleSource (const SourceSlot &slot)
    Constructs a new idle source that can be associated with any main context.

Methods

- sigc::connection connect (const SourceSlot &slot)
    Connects the callback slot to the idle source.

## Detailed Description

A idle GSource C++ interface.

IdleSource is a source that's called whenever there are no higher priority events pending. If the connected slot returns false it is automatically removed from the list of event sources and will not be called again.

See also G::IdleSignal.

## Constructor & Destructor Documentation

Xfc::G::IdleSource::IdleSource | ( |  | ) |

| Constructs a new idle source that can be associated with any main context. G::Source::attach() must be called to attach the source to a context. To set the callback slot call set_callback(). To override the default priority PRIORITY_DEFAULT_IDLE call set_priority().

Xfc::G::IdleSource::IdleSource | ( | const SourceSlot & | slot | ) |

Constructs a new idle source that can be associated with any main context.

Parameters:

  | slot | The callback slot, of type sigc::slot<bool>.

G::Source::attach() must be called to attach the source to a context. To override the default priority PRIORITY_DEFAULT_IDLE call set_priority().

## Member Function Documentation

sigc::connection Xfc::G::IdleSource::connect | ( | const SourceSlot & | slot | ) |

Connects the callback slot to the idle source.

Parameters:

  | slot | The callback slot, of type sigc::slot<bool>.

The documentation for this class was generated from the following file:

- libXFCcore/xfc/glib/main.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3